<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>Ada for Automation Demo Portal</title>
  <link rel="stylesheet" href="https://www.w3schools.com/lib/w3.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
  <header id="top">
    <div class="w3-container w3-blue">
      <img src="./img/A4A_logo.svg" width=100 alt="Logo" style="display:inline" class="w3-right">
      <h1>Ada for Automation Demo Portal</h1>
    </div>
    <nav class="w3-topnav w3-medium w3-blue">
      <a href="#basic"><i class="fa fa-home w3-small"></i></a>
      <a href="app1.html" target="_blank">Application 1</a>
      <a href="app2.html" target="_blank">Application 2</a>
      <a href="app3.html" target="_blank">Application 3</a>
      <div class="w3-dropdown-hover">
        <a href="https://ada-for-automation.gitlab.io/ada-for-automation/docu/book/A4A-Book-fr.html" target="_blank">Help</a>
        <div class="w3-dropdown-content w3-blue w3-card-4">
          <a href="https://ada-for-automation.gitlab.io/ada-for-automation/docu/book/A4A-Book-fr.html" target="_blank">French Online Help</a>
          <a href="https://ada-for-automation.gitlab.io/ada-for-automation/docu/book/A4A-Book-en.html" target="_blank">English Online Help</a>
          <a href="#" onclick="document.getElementById('about-box').style.display='block'">About</a>
          <a href="https://www.ada4automation.org/" target="_blank">Ada for Automation</a>
        </div>
      </div>
    </nav>
  </header>

  <div id="main-content">
    <div id="about-box" class="w3-modal">
      <div class="w3-modal-content w3-card-8">
        <header class="w3-container w3-light-blue">
          <span onclick="document.getElementById('about-box').style.display='none'" class="w3-closebtn">Close &times;</span>
          <h2>About Ada for Automation Demo Portal</h2>
        </header>
        <div class="w3-container">
          <h3>Application description</h3>
          <p>
            This is a demo aggregation site, or a portal, gathering several demos from multiple target machines.</p>
        </div>
        <footer class="w3-container w3-light-blue">
          <h3>Application version</h3>
          <span>2021/11/13</span>
        </footer>
      </div>
    </div>

    <section id="what" class="w3-section">

      <header class="w3-container w3-light-blue w3-padding-8">
        <h2>What it is and which purpose it serves</h2>
        <a href="#top"><i class="fa fa-arrow-up w3-large w3-right"></i></a>
        <a href="#basic"><i class="fa fa-arrow-down w3-large w3-right"></i></a>
      </header>

      <div class="w3-container w3-padding-16 w3-border">
        <h2>What it is</h2>
        <p>This is a demo aggregation site, or a portal, gathering several demos from multiple target machines.</p>
        <p>An "Ada for Automation" based application can be built with a Web User Interface (WUI) and allows to monitor and control its operative part.</p>
        <p>Here you can get an idea of what is possible to achieve with this framework.</p>
      </div>

      <div class="w3-container w3-padding-16 w3-border">
        <h2>How it works</h2>
        <p>Somewhere in the cloud there is a virtual machine running a Debian distribution.</p>
        <p>The Apache web server can be configured to proxy many virtual hosts, each connected to an application.</p>
        <p>Some of the example applications are running on the same virtual machine, some are running on other target machines connected
          to real operative part using industrial communication protocols by means of Hilscher products.</p>
        <p>Again, no mystery, St&eacute;phane is an Hilscher France technical support guy!</p>
        <p>The Gnoga FAQ explains how to configure the Apache web server to proxy virtual hosts.</p>
        <p>It also explains how to use HTTPS and this will be the next step!</p>
      </div>

    </section>

    <section id="basic" class="w3-section">

      <header class="w3-container w3-light-blue w3-padding-8">
        <h2>Basic example with Modbus TCP communication</h2>
        <a href="#what"><i class="fa fa-arrow-up w3-large w3-right"></i></a>
        <a href="#bottom"><i class="fa fa-arrow-down w3-large w3-right"></i></a>
      </header>

      <div class="w3-container w3-padding-16 w3-border">
        <h2>Summary</h2>
        <p>This example shows one application controlling a piano application.</p>
        <p><iframe src="https://a4a-k1-wui.demo.ada4automation.org/#main" height="400" width="600"></iframe>
          <iframe src="https://a4a-piano.demo.ada4automation.org/#main" height="400" width="600"></iframe>
        </p>
        <p><img src="./img/A4A-K1-WUI-A4A_Piano-Cloud.png" alt="basic and Piano in the Cloud"></p>
      </div>

      <div class="w3-container w3-light-grey w3-padding-16 w3-border">
        <p>Here is a link to basic application A4A-K1-WUI :<br>
          <a href="https://a4a-k1-wui.demo.ada4automation.org" target="_blank">Application A4A-K1-WUI</a>
        </p>
        <p>Here is a link to application A4A_Piano :<br>
          <a href="https://a4a-piano.demo.ada4automation.org" target="_blank">Application A4A_Piano</a>
        </p>
      </div>

    </section>

  </div>

  <footer id="bottom" class="w3-container w3-light-blue w3-center">
    <a href="#top"><i class="fa fa-arrow-up w3-large w3-right"></i></a>
    <h5>Application proudly built upon
      <a href="https://www.ada4automation.org/" target="_blank">Ada for Automation</a>
    </h5>

    <p>Copyright &copy; 2023 St&eacute;phane LOS<br></p>
  </footer>

  <noscript>Your browser must support JavaScript and be HTML 5 compliant to see this site.</noscript>
</body>

</html>
